Page MenuHomePhabricator

[HIP] Add GPU arch gfx1010, gfx1011, and gfx1012
ClosedPublic

Authored by yaxunl on Jul 8 2019, 1:03 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

yaxunl created this revision.Jul 8 2019, 1:03 PM
ashi1 accepted this revision.Jul 10 2019, 2:51 PM

LGTM!

This revision is now accepted and ready to land.Jul 10 2019, 2:51 PM
tra accepted this revision.Jul 10 2019, 3:39 PM
tra added inline comments.
lib/CodeGen/CGOpenMPRuntimeNVPTX.cpp
4973–4992 ↗(On Diff #208489)

Just a side note:
I wonder if we need these at all -- we'll end up failing with misleading "Unexpected NVPTX target without ptx feature" assertion. We may just remove all non-SM_xx arch cases and replace them with default: calling llvm_unreachable(). Perhaps in a separate patch.

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 11 2019, 10:50 AM
yaxunl marked an inline comment as done.Jul 18 2019, 8:37 AM
yaxunl added inline comments.
lib/CodeGen/CGOpenMPRuntimeNVPTX.cpp
4973–4992 ↗(On Diff #208489)

I think it is intentional not to use default here, otherwise people may forget to update this part when a new nvptx arch is added.

I could let gfx archs go to the path with llvm_unreachable("Unexpected Cuda arch.") though.